.. currentmodule:: silx.gui.plot.tools.profile

:mod:`~silx.gui.plot.tools.profile`: Profile tool for PlotWidget
================================================================

.. automodule:: silx.gui.plot.tools.profile

The profile package is divided into several sub-modules.

:mod:`~silx.gui.plot.tools.profile.manager` module
--------------------------------------------------

.. automodule:: silx.gui.plot.tools.profile.manager

:class:`ProfileManager` class
+++++++++++++++++++++++++++++

.. autoclass:: ProfileManager
   :show-inheritance:
   :members:

:class:`ProfileWindow` class
++++++++++++++++++++++++++++

.. autoclass:: ProfileWindow
   :show-inheritance:
   :members:

:mod:`~silx.gui.plot.tools.profile.editors` module
--------------------------------------------------

.. automodule:: silx.gui.plot.tools.profile.editors

:class:`ProfileRoiEditorAction` class
+++++++++++++++++++++++++++++++++++++

.. autoclass:: ProfileRoiEditorAction
   :show-inheritance:
   :members:

:mod:`~silx.gui.plot.tools.profile.core` module
-----------------------------------------------

.. automodule:: silx.gui.plot.tools.profile.core

:class:`ProfileRoiMixIn` class
++++++++++++++++++++++++++++++

.. autoclass:: ProfileRoiMixIn
   :show-inheritance:
   :members:

:class:`CurveProfileData` class
+++++++++++++++++++++++++++++++

.. autoclass:: CurveProfileData
   :show-inheritance:
   :members:


:class:`ImageProfileData` class
+++++++++++++++++++++++++++++++

.. autoclass:: ImageProfileData
   :show-inheritance:
   :members:

:mod:`~silx.gui.plot.tools.profile.ScatterProfileToolBar` module
----------------------------------------------------------------

.. automodule:: silx.gui.plot.tools.profile.ScatterProfileToolBar

:class:`ScatterProfileToolBar`
++++++++++++++++++++++++++++++

.. autoclass:: ScatterProfileToolBar
   :show-inheritance:
   :members:

:mod:`~silx.gui.plot.tools.profile.rois` module
-----------------------------------------------

.. automodule:: silx.gui.plot.tools.profile.rois

